API 参考接口列表
读取直播间
读取直播间、当前场次,以及本连接获批的权限范围和已登记的平台来源。
curl -X GET 'https://api.ailive.studio/v1/room' \ -H 'Authorization: Bearer <ACCESS_TOKEN>'响应示例
{ "me": { "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "interaction": true, "scopes": [ "room:read" ], "sources": [ { "capabilities": { "property1": "full", "property2": "full" }, "channel": "page_push", "collector": { "adapter": "string", "kind": "page_inject", "name": "string", "version": "string" }, "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "createdAt": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identity": "full", "interaction": true, "lastDataAt": "2019-08-24T14:15:22Z", "loginState": "anonymous", "platformLiveId": "string", "platformRoom": { "anchorName": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "idType": "string", "name": "string", "platform": "douyin", "platformRoomKey": "string", "url": "string" }, "state": "collecting", "stateMessage": "string", "stateReason": "string", "status": "unknown", "stoppedAt": "2019-08-24T14:15:22Z" } ] }, "room": { "avatar": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "photoFileId": "9ede89cd-e90c-4eb4-b005-817856caa78c" }, "clientsOnline": 0, "commentFilter": { "fansClubAtLeast": 1, "giftsAtLeast": 1, "match": "any", "payAtLeast": 1, "whitelist": [ { "key": "string", "name": "" } ] }, "createdAt": "2019-08-24T14:15:22Z", "dataSources": 0, "effectiveOutput": "video", "games": { "games": { "property1": { "enabled": true, "smart": true }, "property2": { "enabled": true, "smart": true } }, "giftMotions": [ { "gift": "string", "line": "string", "motionId": "string" } ], "motionRequests": { "enabled": false, "mode": "auto" } }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "idleMoves": { "enabled": true, "pace": "low" }, "interactionSource": { "capabilities": { "property1": "full", "property2": "full" }, "channel": "page_push", "collector": { "adapter": "string", "kind": "page_inject", "name": "string", "version": "string" }, "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "createdAt": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identity": "full", "interaction": true, "lastDataAt": "2019-08-24T14:15:22Z", "loginState": "anonymous", "platformLiveId": "string", "platformRoom": { "anchorName": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "idType": "string", "name": "string", "platform": "douyin", "platformRoomKey": "string", "url": "string" }, "state": "collecting", "stateMessage": "string", "stateReason": "string", "status": "unknown", "stoppedAt": "2019-08-24T14:15:22Z" }, "interactionSourceId": "ec6cf9a4-ce72-48f5-8e35-a28b2c3d1edf", "name": "string", "output": "video", "pendingRequests": 0, "platformRooms": 0, "scenes": { "property1": { "enabled": false, "everyMinutes": 3 }, "property2": { "enabled": false, "everyMinutes": 3 } }, "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459", "shortWhenBusy": true, "singing": true, "smartMotion": true, "smartPick": true, "smartReview": true, "status": "idle", "version": 0, "warmup": { "enabled": false, "pace": "low" } }, "session": { "avatar": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "photoFileId": "9ede89cd-e90c-4eb4-b005-817856caa78c" }, "balanceLow": true, "balanceMilli": "string", "balanceMinutes": 0, "billedSeconds": 0, "chargedMilli": "string", "counters": { "enters": 0, "follows": 0, "likes": 0, "shares": 0 }, "createdAt": "2019-08-24T14:15:22Z", "endReason": "stopped", "endedAt": "2019-08-24T14:15:22Z", "error": "string", "fundedSeconds": 0, "heat": "cold", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interactionPaused": true, "maxSeconds": 0, "online": 0, "onlineDisplay": "string", "output": "video", "rateMilli": "string", "reservedMilli": "string", "revisionNumber": 0, "room": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "startedAt": "2019-08-24T14:15:22Z", "status": "queued", "stopRequested": true, "stopsAt": "2019-08-24T14:15:22Z" }}